Retrieve Privacy Policy History

Returns all accepted Privacy Policies for a User using their Access Token.

GET
/identity/v2/auth/privacypolicy/history

Returns all accepted Privacy Policies for a User using their Access Token.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/privacypolicy/history?access_token=493318dd-487a-439b-8302-5e27f1110244"
{
  "Uid": "123e4567-e89b-12d3-a456-426614174000",
  "Current": {
    "Version": "1.0",
    "AcceptSource": "Web",
    "AcceptDateTime": "2024-03-20T15:30:00Z"
  },
  "History": [
    {
      "Version": "1.0",
      "AcceptSource": "Mobile App",
      "AcceptDateTime": "2023-05-15T10:00:00Z"
    }
  ]
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 1039,
  "Message": "An email profile is not created or does not exist",
  "Description": "An email profile is not created on this Account ID, please use a valid Account ID or create an email profile before processing this request."
}